
import "DhorPlugins.Travel";

travel = TravelWindow();

travelCommand = Turbine.ShellCommand();

function travelCommand:Execute( command, arguments )
	if ( arguments == "show" ) then
		travel:SetVisible( true );
	elseif ( arguments == "hide" ) then
		travel:SetVisible( false );
	elseif ( arguments == "toggle" ) then
		travel:SetVisible( not travel:IsVisible() );
	elseif ( arguments == "dump" ) then
		travel:DoDump();
	elseif ( arguments ~= nil ) then
		travelCommand:GetHelp();
	end
end

function travelCommand:GetHelp()
	Turbine.Shell.WriteLine( helpString );
end

Turbine.Shell.AddCommand( "trav,travel", travelCommand );
